<?php
################################################################################
# @Name : ./core/export_tickets.php
# @Description : dump csv files of current query
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 27/01/2014
# @Update : 13/03/2017
# @Version : 3.1.19
################################################################################

//locales
$lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
if ($lang=='fr') {$_GET['lang'] = 'fr_FR';}
else {$_GET['lang'] = 'en_US';}

define('PROJECT_DIR', realpath('../'));
define('LOCALE_DIR', PROJECT_DIR .'/locale');
define('DEFAULT_LOCALE', '($_GET[lang]');
require_once('../components/php-gettext/gettext.inc');
$encoding = 'UTF-8';
$locale = (isset($_GET['lang']))? $_GET['lang'] : DEFAULT_LOCALE;
T_setlocale(LC_MESSAGES, $locale);
T_bindtextdomain($_GET['lang'], LOCALE_DIR);
T_bind_textdomain_codeset($_GET['lang'], $encoding);
T_textdomain($_GET['lang']);

//initialize variables 
if(!isset($_GET['token'])) $_GET['token'] = 'XXX'; 

//database connection
require "../connect.php"; 

//get last token
$query = $db->query("SELECT token FROM `ttoken` ORDER BY id DESC LIMIT 1");
$token=$query->fetch(); 
$query->closeCursor();

//truncate table
$query = $db->query("TRUNCATE TABLE `ttoken`");

//secure connect from authenticated user
if ($token['token']==$_GET['token'])
{
	//get current date
	$daydate=date('Y-m-d');

	// output headers so that the file is downloaded rather than displayed
	header("Content-Type: text/csv; charset=utf-8");
	header("Content-Disposition: attachment; filename=\"$daydate-GestSup-export-tickets.csv\"");

	//load parameters table
	$qparameters = $db->query("SELECT * FROM `tparameters`"); 
	$rparameters= $qparameters->fetch();
	$qparameters->closeCursor();

	//create a file pointer connected to the output stream
	$output = fopen('php://output', 'w');

	//output the column headings
	fprintf($output, chr(0xEF).chr(0xBB).chr(0xBF));
	fputcsv($output, array(T_('Numéro du ticket'), T_('Type'), T_('Technicien'), T_('Demandeur'), T_('Service'), T_('Société'), T_('Créateur'), T_('Catégorie'), T_('Sous-catégorie'),T_('Titre'), T_('Temps passé'), T_('Date de création'),T_('Date de résolution estimé'), T_('Date de clôture'), T_('État'), T_('Priorité'), T_('Criticité')),";");

	//query
	$query="
	SELECT id,type,technician,user,u_service,img1,creator,category,subcat,title,time,date_create,date_hope,date_res,state,priority,criticality 
	FROM tincidents 
	WHERE
	technician LIKE '$_GET[technician]' AND
	u_service LIKE '$_GET[service]' AND
	type LIKE '$_GET[type]' AND
	criticality LIKE '$_GET[criticality]' AND
	category LIKE '$_GET[category]' AND
	date_create LIKE '%-$_GET[month]-%' AND
	date_create LIKE '$_GET[year]-%' AND
	disable=0
	";

	//fetch the data
	$query = $db->query($query);
	
	//loop over the rows, outputting data in field
	while ($row = $query->fetch(PDO::FETCH_ASSOC)) 
	{
		
		//detect technician group to display group name instead of technician name
		if ($row['technician']==0)
		{
			//check if group exist on this ticket
			$query2=$db->query("SELECT * FROM tincidents WHERE id='$row[id]'");
			$row2=$query2->fetch();
			$query2->closeCursor(); 
			if ($row2['t_group']!='0')
			{
				//get group name
				$query2=$db->query("SELECT * FROM tgroups WHERE id='$row2[t_group]'");
				$row2=$query2->fetch();
				$query2->closeCursor(); 
				$row['technician']="$row2[name]";
			}
		} else {
			$querytech=$db->query("SELECT firstname,lastname FROM tusers WHERE id LIKE '$row[technician]' "); 
			$resulttech=$querytech->fetch();
			$querytech->closeCursor(); 
			$row['technician']="$resulttech[firstname] $resulttech[lastname]";
		}
		
		$querytype=$db->query("SELECT name FROM ttypes WHERE id LIKE $row[type]"); 
		$resulttype=$querytype->fetch();
		$querytype->closeCursor(); 
		$row['type']=$resulttype['name'];
		
		$querycompany=$db->query("SELECT name FROM tcompany,tusers WHERE tusers.company=tcompany.id and tusers.id LIKE '$row[user]'"); 
		$resultcompany=$querycompany->fetch();
		$querycompany->closeCursor(); 
		$row['img1']="$resultcompany[name]";
		
		//detect user group to display group name instead of user name
		if ($row['user']=='')
		{
			//check if group exist on this ticket
			$query2=$db->query("SELECT * FROM tincidents WHERE id='$row[id]'");
			$row2=$query2->fetch();
			$query2->closeCursor(); 
			if ($row2['u_group']!='0')
			{
				//get group name
				$query2=$db->query("SELECT * FROM tgroups WHERE id='$row2[u_group]'");
				$row2=$query2->fetch();
				$query2->closeCursor(); 
				$row['user']="$row2[name]";
			}
		} else {
			$queryuser=$db->query("SELECT firstname,lastname FROM tusers WHERE id LIKE '$row[user]'"); 
			$resultuser=$queryuser->fetch();
			$queryuser->closeCursor(); 
			$row['user']="$resultuser[firstname] $resultuser[lastname]";
		}
		
		$queryservice=$db->query("SELECT name FROM tservices WHERE id LIKE '$row[u_service]'"); 
		$resultservice=$queryservice->fetch();
		$queryservice->closeCursor(); 
		$row['u_service']="$resultservice[name]";
		
		$querycreator=$db->query("SELECT firstname,lastname FROM tusers WHERE id LIKE '$row[creator]'"); 
		$resultcreator=$querycreator->fetch();
		$querycreator->closeCursor(); 
		$row['creator']="$resultcreator[firstname] $resultcreator[lastname]";
		
		$querycat=$db->query("SELECT * FROM tcategory WHERE id LIKE '$row[category]'"); 
		$resultcat=$querycat->fetch();
		$querycat->closeCursor(); 
		$row['category']=$resultcat['name'];
		
		$queryscat=$db->query("SELECT * FROM tsubcat WHERE id LIKE '$row[subcat]'"); 
		$resultscat=$queryscat->fetch();
		$queryscat->closeCursor(); 
		$row['subcat']=$resultscat['name'];
		
		$querystate=$db->query("SELECT * FROM tstates WHERE id LIKE $row[state]"); 
		$resultstate=$querystate->fetch();
		$querystate->closeCursor(); 
		$row['state']=$resultstate['name'];
		
		$querypriority=$db->query("SELECT * FROM tpriority WHERE id LIKE $row[priority]"); 
		$resultpriority=$querypriority->fetch();
		$querypriority->closeCursor(); 
		$row['priority']=$resultpriority['name'];

		$querycriticality=$db->query("SELECT * FROM tcriticality WHERE id LIKE $row[criticality]"); 
		$resultcriticality=$querycriticality->fetch();
		$querycriticality->closeCursor(); 
		$row['criticality']=$resultcriticality['name'];
		
		fputcsv($output, $row,';');
	}
} else {
	echo '<br /><br /><center><span style="font-size: x-large; color: red;"><b>'.T_('Accès à cette page interdite, contactez votre administrateur').'.</b></span></center>';		
}
$db = null;
?>